Package: org.apache.groovy.swing.binding

## [Java] Class PropertyChangeProxyTargetBinding

- org.apache.groovy.swing.binding.PropertyChangeProxyTargetBinding

- All Implemented Interfaces and Traits:
    TargetBinding

      public class PropertyChangeProxyTargetBinding
      extends Object
      implements TargetBinding

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `updateTargetValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)

  - ### Method Detail

    - #### @Override
      public void updateTargetValue(Object value)